function Ped00400_tipoTransporte(General, templateManager, ScreenService) {
    
    this.addTpTransp = function(widget){
        widget.newRow();
    };
    
    this.saveTpTransp = function(widget){
        var code = widget.getField('CDTIPTRANS').value();
        if(isNaN(code)){
            ScreenService.showMessage("O campo Código deve conter apenas números");
            widget.getField('CDTIPTRANS').setValue('');
        }else{    
            if(code.indexOf(".") >= 0){
                ScreenService.showMessage("O campo Código deve conter apenas números");
                widget.getField('CDTIPTRANS').setValue('');
            }else{
                General.saveCrud(widget);
            }
        }
    };
    
    this.reload = function(){
        var widget = templateManager.container.getActiveWidget();
        widget.reload();    
    };
    
    this.changeFields = function(nameAction){
        var widget = templateManager.container.getActiveWidget();
        if(nameAction == "edit"){
            widget.getField('CDTIPTRANS').readOnly = true;
        }else{
            widget.getField('CDTIPTRANS').readOnly = false;
        }
        
    };
    
}

Configuration(function(ContextRegister){
    ContextRegister.register('Ped00400_tipoTransporte', Ped00400_tipoTransporte);
});

